# GET Transaction status

## /bridge/tx-status

> Check the status of a bridging request

```json
{"openapi":"3.1.1","info":{"title":"Native Brdige API","version":"1.0.0"},"servers":[{"url":"https://v2.api.native.org"}],"security":[],"paths":{"/swap-api-v2/v1/bridge/tx-status":{"get":{"summary":"/bridge/tx-status","deprecated":false,"description":"Check the status of a bridging request","tags":[],"parameters":[{"schema":{"type":"string"},"name":"bridge_quote_id","in":"query","description":"Unique identifier for the bridging request. This should match the quoteId in the response of /bridge/firm-quote.","required":true},{"schema":{"type":"string"},"name":"api_key","in":"header","description":"The API key that was assigned to you by Native","required":true}],"responses":{"200":{"description":"Successful response containing the status of the bridging request","headers":{},"content":{"application/json":{"schema":{"type":"object","properties":{"tx_status":{"type":"string","description":"Status of the bridging transaction. USER_REQUESTED: Requested Firm-Quote but not submitted. USER_COMMITTED: Order inited on source chain. MM_FAILED: Failed to fill order on destination chain. MM_FILLED: Order filled on destination chain. CLAIMED: Order wrapped up on source chain. REFUNDED: Order refunded on source chain.","enum":["USER_REQUESTED","USER_COMMITTED","MM_FAILED","MM_FILLED","CLAIMED","REFUNDED"]}}}}}}}}}}}
```

{% hint style="info" %}
Only quotes actually executed on source chain can be queried from status endpoint.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.native.org/native-dev/build-with-native/swap-aggregators/crosschain-swap-api/get-transaction-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
